%define name	qrna
%define version	2.0.3c
%define rel	5
%define release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Prototype ncRNA genefinder
Group:		Sciences/Biology
License:	GPL
URL:		http://selab.janelia.org/software.html#qrna
Source:		ftp://selab.janelia.org/pub/software/%{name}-%{version}.tar.bz2
Patch:		fix_getline.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
QRNA uses comparative genome sequence analysis to detect 
conserved RNA secondary structures, including both ncRNA genes 
and cis-regulatory RNA structures.

%prep
%setup -q
%patch
chmod 644  Licenses/*

%build
# squid library
(cd squid && %make CFLAGS="$RPM_OPT_FLAGS")
(cd squid02 && %make CFLAGS="$RPM_OPT_FLAGS")

# qrna
(cd src && %make CFLAGS="$RPM_OPT_FLAGS")

%install
rm -rf %{buildroot}

# executables
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 src/{main,cfgbuild,eqrna,eqrna_sample,shuffle,rnamat_main} %{buildroot}%{_bindir}
install -m 755 scripts/* %{buildroot}%{_bindir}

# data
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -m 644 lib/* %{buildroot}/%{_datadir}/%{name}

# configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/profile.d
echo "export QRNADB=%{_datadir}/%{name}" > %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
echo "setenv QRNADB %{_datadir}/%{name}" > %{buildroot}%{_sysconfdir}/profile.d/%{name}.csh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc 00README INSTALL Licenses/* documentation/userguide.pdf
%{_bindir}/*
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/profile.d/*




%changelog
* Mon Mar 15 2010 Eric Fernandez <zeb@mandriva.org> 2.0.3c-5mdv2010.1
+ Revision: 519922
- getline patch fix, really
- getline fix
- rebuild

* Wed May 06 2009 Eric Fernandez <zeb@mandriva.org> 2.0.3c-4mdv2010.0
+ Revision: 372588
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.0.3c-3mdv2009.0
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Eric Fernandez <zeb@mandriva.org> 2.0.3c-3mdv2008.0
+ Revision: 60256
- rebuild


* Tue Dec 19 2006 Eric Fernandez <zeb@mandriva.org> 2.0.3c-2mdv2007.0
+ Revision: 100204
- fix for x86_64
-new URL
- Import qrna

* Mon Jun 26 2006 Eric Fernandez <zeb@zebulon.org.uk> 2.0.3c-2mdv2007.0
- rebuild
- use mkrel

* Fri Jul 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3c-1mdk 
- new version

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.2c-1mdk 
- new version
- rpmbuildupdate aware

* Sat Jan 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.1-1mdk
- first mdk release, after a spec file stolen from Luc Ducazu <luc@biolinux.org>
- Initial build

